Hello and welcome to our community! Is this your first visit?
Register
Enjoy an ad free experience by logging in. Not a member yet? Register.
Results 1 to 5 of 5
  1. #1
    New to the CF scene
    Join Date
    Nov 2012
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Browser not supported message

    Hello
    Can anyone give me advice for a code to display on my website old browsers not supported.

    Thanks
    Jeff

  • #2
    Senior Coder coothead's Avatar
    Join Date
    Jan 2004
    Location
    chertsey, a small town 25 miles south west of london, england.
    Posts
    1,695
    Thanks
    0
    Thanked 232 Times in 227 Posts
    Hi there JeffJeffz,

    and a warm welcome to these forums.

    If you are just referring to IE, then something like this would suffice...

    Code:
    
    <!--[if lt IE 8]>
     <p>your browser is not supported</p>
    <![endif]-->
    coothead

  • #3
    Master Coder Excavator's Avatar
    Join Date
    Dec 2006
    Location
    Alaska
    Posts
    9,675
    Thanks
    22
    Thanked 1,827 Times in 1,811 Posts
    Hello JeffJeffz,
    Here is a little lengthier message:

    in the markup -
    Code:
            <!--[if lt IE 7]>
                    <div id="ie6Warning">
                        <h2>Time to upgrade your browser?</h2>
                            <p>
                                If you're reading this, you're surfing using Internet Explorer 6, a 10+ year-old browser that 
                                cannot cope with the demands of the modern internet. For the best web experience, it is strongly recommended 
                                you upgrade to a more modern version of any of the browsers listed here:
                                    <ol>
                                        <li><a href="http://www.getfirefox.com/">Firefox</a></li>
                                        <li><a href="http://www.opera.com/">Opera</a></li> 
                                        <li><a href="http://www.apple.com/safari/">Safari</a></li>
                                        <li><a href="http://www.google.com/chrome">Google Chrome</a></li>
                                        <li>or a more recent version of <a href="http://www.microsoft.com/windows/downloads/ie/getitnow.mspx">Internet Explorer</a></li>
                                    </ol>
                                 The layout of this site is designed to work with those browsers. We are reasonably certain that even if the layout is not quite
                                 right in older browsers, the funcionality should still be available to you. Our suggestion of upgrading your browser is only for 
                                 your viewing pleasure and is by no means a requirement for using this website.
                            </p>
                    </div>
          	<![endif]-->
    and styled from the CSS -
    Code:
    #ie6Warning {
    	width: 500px;
    	background: #fc6;
    	color: #999;
    }
    Validate often DURING development - Use it like a splelchecker | Debug during Development |Write it for FireFox, ignore IE
    Use the right DocType | Validate your markup | Validate your CSS | Why validating is good | Why tables are bad

  • Users who have thanked Excavator for this post:

    JeffJeffz (11-11-2012)

  • #4
    New to the CF scene
    Join Date
    Nov 2012
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts
    Thanks Excavator worked perfect
    googled a lot and could not find a decent script.

    Quote Originally Posted by Excavator View Post
    Hello JeffJeffz,
    Here is a little lengthier message:

    in the markup -
    Code:
            <!--[if lt IE 7]>
                    <div id="ie6Warning">
                        <h2>Time to upgrade your browser?</h2>
                            <p>
                                If you're reading this, you're surfing using Internet Explorer 6, a 10+ year-old browser that 
                                cannot cope with the demands of the modern internet. For the best web experience, it is strongly recommended 
                                you upgrade to a more modern version of any of the browsers listed here:
                                    <ol>
                                        <li><a href="http://www.getfirefox.com/">Firefox</a></li>
                                        <li><a href="http://www.opera.com/">Opera</a></li> 
                                        <li><a href="http://www.apple.com/safari/">Safari</a></li>
                                        <li><a href="http://www.google.com/chrome">Google Chrome</a></li>
                                        <li>or a more recent version of <a href="http://www.microsoft.com/windows/downloads/ie/getitnow.mspx">Internet Explorer</a></li>
                                    </ol>
                                 The layout of this site is designed to work with those browsers. We are reasonably certain that even if the layout is not quite
                                 right in older browsers, the funcionality should still be available to you. Our suggestion of upgrading your browser is only for 
                                 your viewing pleasure and is by no means a requirement for using this website.
                            </p>
                    </div>
          	<![endif]-->
    and styled from the CSS -
    Code:
    #ie6Warning {
    	width: 500px;
    	background: #fc6;
    	color: #999;
    }

  • #5
    New to the CF scene
    Join Date
    Nov 2012
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts
    Worked Perfect Excavator


  •  

    Tags for this Thread

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •